# Release Notes

## migration-center 24.3

(released on 29-Nov-2024)

### Features & Enhancements

* Scheduler feature is now available on PostgreSQL database (#73069)\
  Please see the WebClient section [PostgreSQL Scheduler Architecture](/24.3/webclient-user-guide.md#postgresql-scheduler-architecture) about the particularities of running schedulers on a PostgreSQL database.
* WebClient
  * Improve tables UI performance with virtualization (#72797)
  * WebClient uses the latest version of Tomcat 9 (9.0.96) (#74117)
* Jobserver
  * Add support for Java 17 on Jobserver (#66728)\
    With the exception of the OpenText Content Server connectors.
  * Updated YAJSW wrapper to version 13.12 (#72717)
  * Solve critical vulnerabilities in Jobserver (#72703)
  * Add cause exception message to MCException if necessary (#72958)
  * Alfresco CS Importer available on Jobserver on Linux (#74273)
* Documentum Scanner
  * Scan audit trails for documents that have been not changed (#74039)
  * Scan the audit trails for the deleted versions with auditTrailPerVersionTree (#73614)
* Documentum Importer
  * Ignore setting i\_partition when importing dm\_relation (#73189)
* Filesystem Importer
  * Remove 260 path limitation from ...toFilesystem migset type (#73209)
* SharePoint Online Batch Importer
  * Add support for delta migration (#64517)
* OpenText Content Server Scanner
  * Initializer continues scanning when encountering an error listing nodes of a container (#73952)

### Fixes

* PostgreSQL database
  * Procedure that updates source attributes removes duplicates in existing values on PostgreSQL (#73892)\
    This issue affected the features of the following adaptors:&#x20;
    * **DCTM** Scanner: **exportAuditTrailAsRendition**. When the values from the generated rendition already exists in any of the rendition attributes of normal renditions, the duplicate values are removed and the 1:1 relation of the repeating values is broken.
    * **CSV** Scanner: **enrich mode**. When running the CSV in enrich mode, the same issue occurs. Existing values are removed if the new ones are the same.
    * **Veeva** Scanner **exportAuditTrailsAsCSVRendition**. Same as DCTM scanner feature.
* Oracle Database
  * MapValue is successful when receiving a null/empty source value on Oracle DB (#74357)
* WebClient
  * Browser page out of memory when loading large source objects repeatedly (#70413)
  * Column resize button is not the entire height of the column (#67456)
  * Resizing columns in Scanner/Migset/Importers behaves strangely (#57265)
  * Locking objects doesn't finish when migset has changes and tab is being changed (#61974)
  * Step stays stuck pointing to previous step that is now no longer valid for IF function operands (#63075)
  * Duplicating or copying Transformation Rules to clipboard does not copy unsaved changes (#73692)
  * "cannot subscript type" error when using mapValue with ALL qualifier on Postgres (#73225)
  * Migset ownership does not release if access token is expired (#69999)
  * Display issues when objects have columns with same name but different case (#73882)
  * Move parameter description under adaptor details (#74081)
  * WebClient session expires after 24 hours (#71640)
  * Socket connection error when accessing scheduler run Imported/Error objects (#73035)
  * Scheduler cannot be configured with Week or Month frequency in WebClient (#73442)
  * Editing DB connection makes webclient connect to old details (#73695)
  * Scheduler Next Run date shows Invalid date if scheduler is not active or has finished all runs (#73989)
  * Numeric Overflow when displaying running jobs (#74162)
  * Selected Scanner/Migset/Importer state is kept after leaving a selected scheduler (#74249)
  * Attributes for previously selected relation remain loaded even when no relation is selected on current object (#73481)
* Alfresco scanner
  * Alfresco scanner uses the Xth element of the contentURL to set content file name (#73764)
* Alfresco CS importer
  * Non descriptive error message when defaultFolderType is empty (#72582)
  * Invalid value for permissions results in the whole import throwing error and objects staying validated (#73045)
  * Alfresco CS importer parameters have incorrect documentum description (#74191)
  * Setting invalid Authority for permissions throws error message which prints all Users and Groups (#72666)
* Cara importer
  * Cara importer searching exception message is misleading and cuts original error message (#72951)
* Documentum scanner
  * Error when scaning deleted first version of VD during delta (#73246)
* D2 Importer
  * Nullpointer exception when importing VD relations and autoCreateFolders is unchecked (#73983)
* Filesystem Scanner
  * NullPointerException scanning files with empty modified dates (#74186)
* SharePoint Online Importer
  * Import fails when Library name contains apostrophe symbol (#73212)
* Veeva Scanner
  * Some renditions may not be scanned when exportSignaturePages is on if download error occurs during batch download (#72828)
* Ora2Pg tool
  * ora2pg tool does not work with Aurora PostgreSQL (#73044)

### Known Issues and Limitations

{% hint style="danger" %}
The Amazon Comprehend Enrich Scanner is not currently functional due to changes to Amazon's APIs (#72329)
{% endhint %}

* Filesystem connectors
  * Limitation: Filesystem connectors does not work with Java 8
* OpenText connectors
  * Opentext Scanner does not work with Java 17 configuration (#74111)
  * Opentext Importer does not work with Java 17 configuration (#74110)
* SharePoint Online Batch Importer
  * Created By can only be set on the first version in a version tree (#73592)
  * Versions with 0kb content are not imported unless it's the latest version (#73672)
  * Previous versions are deleted from SPO when update import fails (#73681)
  * Setting documents as records no longer works with Migration API (#75061)
* WebClient
  * User is logged out when refreshing page on with expired Access token on migsets view (#74127)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.migration-center.com/24.3/release-notes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
